Subject: bug#52196: 28.0.60; gdb-mi error message: "wrong type argument: stringp"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 30 Nov 2021 14:10:21 +0100

[email-masked] writes:

> In the function gdb-frame-handler the form:
>
> (setq gdb-selected-file (file-local-name (gdb-mi--field frame 'fullname)))
>
> causes the error message if gdb-mi--field returns nil. I don't know if this is an expected return value for that function or not. In any case, file-local-name signals the error in case of nil input. The file-local-name wrapping was introduced semi-recently with commit 019c70e731d0243ad3ea2d4ebb02dd4a343e868f.

Thanks for the analysis.  I think I've now fixed this in Emacs 28 -- can
you pull and rebuild and see whether this works better now?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no